/*
  root window for kmpg (menu and all this stuff)
  Copyright (C) 1998  Martin Vogt

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation.

  For more information look at the file COPYRIGHT in this package

 */




#ifndef __KMPGROOTWINDOW_H
#define __KMPGROOTWINDOW_H

#include <iostream.h>

// Player include files:
#include "kmpgPlayer.h"

// QT include files
#include <qpopmenu.h>
#include <qaccel.h>


// KDE include files
#include <kapp.h>
#include <drag.h>
#include <kurl.h>
#include <kmenubar.h>
#include <ktmainwindow.h>
#include <kfiledialog.h>


class KmpgRootWindow : public KTMainWindow {
  Q_OBJECT
 public:
  KmpgRootWindow( QWidget *parent = 0, const char *name = 0 );
  ~KmpgRootWindow();

  void setPlayer(KmpgPlayer* player);
  KmpgPlayer* getPlayer();

 signals:
  void open(KURL* url);

 public slots:
  void openFileSelector();

 private:
  void buildMenuBar();

  KURL* url;
  KmpgPlayer* player;

};
#endif
